<?php

if (is_admin()) {
	// ADMIN AREA HOOKS

	# When Saving Options
	function cloudfw_hook_save_options(){ do_action('cloudfw_hook_save_options'); }

}else{
	

	function cloudfw_user_register_page(){ do_action('cloudfw_user_register_page'); }
	function cloudfw_user_update_page(){ do_action('cloudfw_user_update_page'); }
		
}

	// Registration Page Hooks
	function cloudfw_user_login_page(){ do_action('cloudfw_user_login_page'); }
	function cloudfw_user_page_sidebar($case = NULL){ do_action('cloudfw_user_page_sidebar', $case); }
	function cloudfw_signup_extra($case = NULL, $user_id = NULL){ do_action('cloudfw_signup_extra', $case, $user_id); }
	function cloudfw_signup_save($case = NULL, $user_id = NULL){ do_action('cloudfw_signup_save', $case, $user_id); }